Subject: Re: [bitcoin-dev] Proposed BIP-1 change removing OPL licensing option.

From: Peter Todd <[email-masked]>
Date: Mon, 26 Sep 2016 14:41:36 -0400

On Sat, Sep 24, 2016 at 12:21:16AM +0000, Gregory Maxwell via bitcoin-dev wrote:
> I've proposed a revision to BIP-1 that removes the option to license
> the work under the OPL:  https://github.com/bitcoin/bips/pull/446
> 
> The OPL contains troublesome terms where the licensor can elect to
> prohibit print publication of the work as well as the creation of
> modified versions without their approval.
> 
> "Distribution of substantively modified versions of this document is
> prohibited without the explicit permission of the copyright holder."
> "Distribution of the work or derivative of the work in any standard
> (paper) book form is prohibited unless prior permission is obtained
> from the copyright holder."
> 
> Additionally, even without these optional clauses the specific
> construction of this licenses' attribution requirements are
> restrictive enough that Debian does not consider it acceptable for
> works included in their distribution
> (https://lists.debian.org/debian-legal/2004/03/msg00226.html).
> 
> I can't find any discussion that indicates anyone involved with the
> project was aware of these clauses at the time this text was added...
> and I believe they are strongly incompatible with having a
> transparent, public, collaborative process for the development of
> standard for interoperablity. I certainly wasn't aware of it, and
> would have argued against it if I was.
> 
> Moreover, the project that created this license has recommended people
> use creative commons licenses instead since 2007.
> 
> The only BIPs that have availed themselves of this are BIP145 (which
> is dual licensed under the permissive 2-clause BSD, which I wouldn't
> object to adding as an option-- and which doesn't active the
> objectionable clauses) and the recently assigned BIP134.
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev

ACK

Note how the OPL is significantly more restrictive than the Bitcoin Core
license; not good if we can't ship documentation with the code.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org